# Command Line Options

## schema-salad-tool

Validate Salad schemas or documents.

    usage: schema-salad-tool [-h] [--rdf-serializer RDF_SERIALIZER]
                             [--skip-schemas] [--strict-foreign-properties]
                             [--version] [--print-jsonld-context | --print-rdfs |
                             --print-avro | --print-rdf | --print-pre |
                             --print-index | --print-metadata |
                             --print-inheritance-dot | --print-fieldrefs-dot |
                             --codegen LANGUAGE | --print-oneline | --print-doc]
                             [--codegen-target CODEGEN_TARGET]
                             [--codegen-examples DIRECTORY]
                             [--codegen-package DOTTED.PACKAGE]
                             [--codegen-copyright COPYRIGHT_STRING]
                             [--codegen-spdx-copyright-text SPDX_COPYRIGHT_TEXT [SPDX_COPYRIGHT_TEXT ...]]
                             [--codegen-spdx-license-identifier SPDX_LICENSE_IDENTIFIER]
                             [--codegen-parser-info PARSER_INFO] [--strict |
                             --non-strict] [--verbose | --quiet | --debug]
                             [--only ONLY] [--redirect REDIRECT] [--brand BRAND]
                             [--brandlink BRANDLINK] [--brandstyle BRANDSTYLE]
                             [--brandinverse] [--primtype PRIMTYPE]
                             [schema] [document ...]

schema

document

-h, --help

  show this help message and exit

--rdf-serializer <rdf_serializer>

  Output RDF serialization format used by –print-rdf (one of turtle (default), n3, nt, xml)

--skip-schemas

  If specified, ignore $schemas sections.

--strict-foreign-properties

  Strict checking of foreign properties

--version, -v

  Print version

--print-jsonld-context

  Print JSON-LD context for schema

--print-rdfs

  Print RDF schema

--print-avro

  Print Avro schema

--print-rdf

  Print corresponding RDF graph for document

--print-pre

  Print document after preprocessing

--print-index

  Print node index

--print-metadata

  Print document metadata

--print-inheritance-dot

  Print graphviz file of inheritance

--print-fieldrefs-dot

  Print graphviz file of field refs

--codegen <language>

  Generate classes in target language, currently supported: python, java, typescript, dotnet, cpp, dlang

--print-oneline

  Print each error message in oneline

--print-doc

  Print HTML schema documentation page

--codegen-target <codegen_target>

  Defaults to sys.stdout for Python/C++/Dlang and ./ for Java/TypeScript/.Net

--codegen-examples <directory>

  Directory of example documents for test case generation (Java/TypeScript/.Net/Dlang only).

--codegen-package <dotted.package>

  Optional override of the package name which is otherwise derived from the base URL (Java/TypeScript/.Net/Dlang only).

--codegen-copyright <copyright_string>

  Optional copyright of the input schema.

--codegen-spdx-copyright-text <spdx_copyright_text>

  List of copyright text. Each entry will show up as SPDX-FileCopyrightText: … (Currently C++ only)

--codegen-spdx-license-identifier <spdx_license_identifier>

  Optional spdx license identifier, e.g.: GPL-3.0-only (Currently C++ only)

--codegen-parser-info <parser_info>

  Optional parser name which is accessible via resulted parser API (Python and Dlang only)

--strict

  Strict validation (unrecognized or out of place fields are error)

--non-strict

  Lenient validation (ignore unrecognized fields)

--verbose

  Default logging

--quiet

  Only print warnings and errors.

--debug

  Print even more logging

--only <only>

  Document only listed types

--redirect <redirect>

  Override default link for type

--brand <brand>

  Set the ‘brand’ text in nav bar

--brandlink <brandlink>

  Set the link for ‘brand’ in nav bar

--brandstyle <brandstyle>

  HTML code to link to an external style sheet

--brandinverse

  Set to use the dark navigation bar style.

--primtype <primtype>

  Link to use for primitive types (string, int etc)

## schema-salad-doc

    usage: schema-salad-doc [-h] [--only ONLY] [--redirect REDIRECT]
                            [--brand BRAND] [--brandlink BRANDLINK]
                            [--brandstyle BRANDSTYLE] [--brandinverse]
                            [--primtype PRIMTYPE] [--debug]
                            schema

schema

-h, --help

  show this help message and exit

--only <only>

--redirect <redirect>

--brand <brand>

--brandlink <brandlink>

--brandstyle <brandstyle>

--brandinverse

--primtype <primtype>

--debug